<div class="container-fluid dokumentTable">
  <div class="row mb-3">
    <input type="file" class="col-11"  (change)="onFileSelected($event)" >
    <button class="btn btn-success col-1" *ngIf="fileList != null" (click)="open(content)">Upload</button>
    
  </div>

    <table class="table table-hover" *ngIf="dokumenti.length != 0; else emptyList">
      <thead class="bg-info text-light">
        <tr>
          <th>Naziv</th>
          <th>Tip</th>
          <th></th>
          <th></th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let dokument of dokumenti">
          <td>{{dokument.naziv}} </td>
          <td>{{dokument.mime}}</td>
          <td></td>
          <td></td>
          <td>
            <div class="row">
                <i id="dokumentHandler" (click)=onDownloadDocument(dokument.filename) class="fas fa-file-download text-success col-2 fa-2x" placement="top" ngbTooltip="Download"></i>
                <i style="cursor:pointer"class="far fa-trash-alt text-danger fa-2x" (click)=onDeleteDocument(dokument.id) placement="top" ngbTooltip="Remove"></i>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  <ng-template #emptyList>
    <div class="jumbotron bg-warning">
      <h2>Nema dokumenata</h2>
    </div>
  </ng-template>
</div>

<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header bg-success">
    <h4 class="modal-title text-light" id="modal-basic-title">Upload</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true" class="text-light">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #dokumentForm="ngForm">
      <div class="form-group">
        <label for="naziv"><b>Naziv Dokumenta</b></label>
        <input type="text" [(ngModel)]="dokumentPost.naziv" name="nazivDokumenta" class="form-control" required #nazivDokumenta="ngModel">
        <p class="text-danger" *ngIf="nazivDokumenta.invalid && (nazivDokumenta.dirty || nazivDokumenta.touched)">Polje ne sme biti prazno</p>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-success" [disabled]="dokumentForm.invalid" (click)="uploadDokument();c()">Upload</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>